%                  Universita' di Ferrara                          %
%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Script soluzione - esercizio 10                    %
%           Esercitazione in laboratorio del 30/1/2009             %
%******************************************************************%
%
%Script risolutivo dell'esercizio 10. ricava grafico, minimo e radice di
%una funzione fun
%
%NB: Richiede la funzione fun definita (file fun.m, nella current directory)

%pulizia ambiente
clear
clc
close all

x=-3:0.01:3; %per definire l'intervallo [-3;3]
figure,plot(x,fun(x)) % per plottare la funzione nell'intervallo
grid on %Inserisce le griglie nel grafico

%Graficando, si nota che si hanno due zeri della funzione, rispettivamente
%nell'intorno di 2 e -2. pertanto si digita
x0a=fzero('fun',2);
x0b=fzero('fun',-2);

%per verificare la bont del calcolo, si possono ricavano i rispettivi
%valori dell'ordinata
y0a=fun(x0a);
y0b=fun(x0b);

%infine, si nota dal grafico un solo punto di minimo. Lo si ricava
%eseguendo:
minimox=fminbnd('fun',-3,3);
minimoy=fun(minimox);
%Nota: essendo un minimo globale, si pu prendere tranquillamente tutto
%l'intervallo

%output risultati
sprintf('La funzione  nulla in x1=%f ed in x2=%f \n',x0a,x0b)
sprintf('La funzione ha valore di minimo in %f \n con x=%f',minimoy,minimox)