%                  Universita' di Ferrara                          %
%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Funzione Secondogrado - esercizio 4                %
%           Esercitazione in laboratorio del 30/1/2009             %
%******************************************************************%
%
%  function x=secondogrado(coeff)
%
function x=secondogrado(coeff)
% calcola le radici di un'equazione di secondo grado, inoltre grafica la
% funzione in un intervallo che comprende le radici dell'equazione
%

%creo delle variabili separate per i coefficienti, per comodita'
a=coeff(1);
b=coeff(2);
c=coeff(3);


% Si sceglie la soluzione di porre direttamente le equazioni di
% risoluzione.
x(1)=(-b-sqrt(b^2-4*a*c))/(2*a);
x(2)=(-b+sqrt(b^2-4*a*c))/(2*a);

%Si ricorda che  possibile risolvere il problema anche con la funzione
%roots

%Si crea lintervallo uniforme con la funzione linspace 
xv=linspace(x(1)-1 , x(2)+1 , 500);

%Si calcolano poi i valori del polimio, per tutti i valori dell'intervallo
%creato, con la gunzione polyval
yv=polyval(coeff,xv);

%infine, si plotta il risultato
plot(xv,yv);
