%                  Universita' di Ferrara                          %
%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Funzione Secondi2 tempo - esercizio 5b             %
%           Esercitazione in laboratorio del 30/1/2009             %
%******************************************************************%
%La funzione risolve la seconda parte dell'esercizio 5
%
% function tempo=Secondi2tempo(sec)
%
% La funzione prende come ingresso un valore di secondi (intero) e
% restituisce un vettore contenente il formato ora/Minuti/Secondi del tempo
% indicato.
% L'ora  il primo elemento, i minuti il secondo elemento e i secondi
% nell'ultimo elemento del vettore restituito.

function tempo=Secondi2tempo(sec)

%Prima si ricavano le ore, ottenibili dividendo per 3600 (secondi) il
%valore dei secondi totali passati. Probabilmente il risultato sar un
%numero reale, pertanto occorre arrotondarlo (le ore sono un valore intero)
tempo(1)=fix(sec/3600);

%Per i minuti, basta dividere per 60 il resto ottenuto nella precedente
%divisione. Ancora una volta occorre arrotondare il risultato al valore
%intero.
tempo(2)=fix(mod(sec,3600)/60);

%il resto della divisione precedente saranno i minuti rimasti.
tempo(3)=mod(mod(sec,3600),60);