%                  Universita' di Ferrara                           %
%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%               Script risoluzione esercizio 1                     %
%           Esercitazione in laboratorio del 30/1/2009             %
%******************************************************************%
% L'esecuzione dello script risolve il seguente problema:
%Testo: Creare uno script che calcoli la funzione seno e coseno nell' 
% intervallo [0,2*pi], si ricavi il massimo tra le due funzioni e lo
% si visualizzi

%% Pulizia dell'ambiente di lavoro, prima di intraprendere la soluzione

clear  %pulizia completa dell workspace
clc    %Pulizia del Command window
close all % chiudo eventuali finestre grafiche (figure) aperte

% Nota iniziale. rispetto agli esercizi fin qua visti, d'ora in poi
% si chiede di scrivere direttamente lo script, e non di risolvere il 
% problema attraverso una serie di comandi immessi nel command window.
%Pertanto non esiste la necessita di visualizzare risultati parziali 
% sul command window, da qui il mancato utilizzo della funzione 'disp'
% e l'utilizzo della terminazione ';' ad ogni comando.

%% Inserimento dati
% Si genera il vettore x, contentente i punti da calcolare nell'
% intervallo richiesto
x=0:0.01:2*pi;

%% Risoluzione esercizio
y=sin(x);   %Calcolo la funzione seno
z=cos(x);   %Calcolo la funzione coseno
%Ricavo il vettore massimo, confrontando il valore massimo tra la
% funzione seno  e la funzione coseno per ogni punto calcolato
massimo=max(y,z); 

%Si chiede infine di graficare la funzione (il vettore) massimo
figure,plot(x,massimo);

%Soluzione alternativa. Per valutare se le operazioni sono corrette
%posso pensare di graficare sullo stesso grafico anche le funzioni seno 
% e coseno
figure,plot(x,y,x,z,x,massimo);

% NB: il comando 'figure' apre una nuova finestra grafica, evitando di 
% graficare sulla finestra corrente (solitamente l'ultima)
% Se non richiamata, la funzione plot apre in automatico una nuova finestra
% grafica, ma si consiglia di gestire a priori le finestre grafiche aperte.