%                  Universita' di Ferrara                          %
%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%              Funzione pol2rett - esercizio 9                     %
%           Esercitazione in laboratorio del 30/1/2009             %
%******************************************************************%
%
%    function punto_r=pol2rett(punto_p)
%
% La funzione converte la parametrizzazione di un punto da coordinate
% polari a coordinate cartesiane (nel piano).
% La funzione restituisce le coordinate cartesiane in un vettore del tipo 
%[x,y].
%in ingresso dev'essere posto un vettore delle coordinate polari del tipo
%[modulo, angolo]


function punto_r=pol2rett(punto_p)

%Per comodita', estraggo dal vettore il modulo e l'angolo del punto
r=punto_p(1);
theta=punto_p(2);

%Effettuo la conversione
x=r*cos(theta);
y=r*sin(theta);

%Si riporta in uscita il risultato
punto_r=[x,y];
