%                  Universita' di Ferrara                          %
%                                                                  %
%              Corso di informatica industriale                    %
%                                                                  %
%              Funzione rett2pol - esercizio 9                     %
%           Esercitazione in laboratorio del 30/1/2009             %
%******************************************************************%
%
%  function punto_p=rett2pol(x,y)
%
% La funzione converte la parametrizzazione di un punto da coordinate
% cartesiane a coordinate polari (nel piano).
% La funzione restituisce le coordinate polari in un vettore del tipo 
%[modulo, angolo]

function punto_p=rett2pol(x,y)

%Calcolo il modulo punto
r= sqrt(x.^2+y.^2);

%Ricavo l'angolo dalle coordinate
theta= atan2(x,y);

%Impongo il valore in uscita dalla funzione
punto_p=[r,theta];


